%define name fonts-ttf-arabic-farsi
%define name_orig farsifonts
%define version 0.4
%define release 1mdk
%define fontdir	fonts/ttf/arabic/farsi

Name:		%{name}
Summary:	Free Arabic TrueType fonts
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Fonts/True type
Source:		http://www.farsiweb.info/font/%{name_orig}-%{version}.tar.bz2
URL:		http://www.farsiweb.info
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildPrereq: 	freetype-tools
PreReq:		chkfontpath, fontconfig
Requires:	freetype
Provides:	fonts-ttf-arabic

%description
This Package provides Free Arabic TrueType fonts donated under the GPL license
by farsiweb.info.

%prep
%setup -n %name_orig-%version

%build

%install
rm -rf %buildroot

mkdir -p %buildroot/%_datadir/%fontdir
cp *.ttf %buildroot/%_datadir/%fontdir

pushd %buildroot/%_datadir/%fontdir
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
popd

%post

if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/%{fontdir}
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/%{fontdir}
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc COPYING NEWS *.txt
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/%{fontdir}
%_datadir/%{fontdir}/*

%changelog
* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- fix rpmlint warnings
- do not use subsheels b/c they hide errors
- initial build (Munzir Taha <munzirtaha@newhorizons.com.sa>)
